package com.peetz.medien.service;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.medien.entity.AudioCDEntity;
import com.peetz.medien.entity.BoxSetEntity;
import com.peetz.medien.entity.FilmEntity;

@Local
public interface MedienService
{
	public Collection<AudioCDEntity> getAllCDs();
	public AudioCDEntity addCD(String title);
	public Collection<FilmEntity> getAllDVDs();
	public FilmEntity addDVD(String title);
	public Collection<BoxSetEntity> getAllBoxSets();
	public BoxSetEntity addBoxSet(String title);
	public BoxSetEntity assignBoxSet(BoxSetEntity boxSet, FilmEntity film);
	public void saveCD(AudioCDEntity audioCD);
}
